## initramfs-tools 0.136ubuntu6

=== debian/changelog ===
initramfs-tools (0.136ubuntu6) focal; urgency=medium

  * Adjust testsuite for correct expected netplan output.
  * Add tests to parse netplan.yaml with netplan generate.
  * Run unittests during autopkgtests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 09 Apr 2020 08:35:46 +0100

initramfs-tools (0.136ubuntu5) focal; urgency=medium

  * Emit empty dictionary in the ethernets section, for static vlan
    configs without any matches, as otherwise it is invalid config. Patch
    by mwhudson.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 Apr 2020 21:22:40 +0100

initramfs-tools (0.136ubuntu4) focal; urgency=medium

  * Skip setting mac-address, unless unsupported unpredictable netnames
    are used.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 04 Apr 2020 23:39:59 +0100

initramfs-tools (0.136ubuntu3) focal; urgency=medium

  * Revert upstream commit 0012977; Ubuntu's resume script implementation
    diverges from Debian's and this special-case handling of UUID (which is
    used as the resume target in the default scenario) is required here.
    LP: #1869996.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 01 Apr 2020 21:33:18 -0700

initramfs-tools (0.136ubuntu2) focal; urgency=medium

  * scripts/functions:_render_netplan(): Make configure_networking()
    more resilient when called by set -e scripts. LP: #1868310.

 -- dann frazier <dannf@ubuntu.com>  Fri, 20 Mar 2020 14:09:47 -0600

=== debian/tests/control ===
Tests: shellcheck
Depends: @, shellcheck
Restrictions: superficial

Test-Command: ./tests/run-tests
Depends: netplan.io
Restrictions: allow-stderr

Tests: net
Depends: curl,
         initramfs-tools,
         isc-dhcp-client,
         linux-image-generic,
         lsb-release,
         parted,
         python3,
         qemu-system
Restrictions: needs-root, allow-stderr

## initramfs-tools 0.136ubuntu6.7

=== debian/changelog ===
initramfs-tools (0.136ubuntu6.7) focal; urgency=medium

  * Increase image file to 2GB in autopkgtest (LP: #1958904)

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 26 Jan 2022 18:11:24 +0100

initramfs-tools (0.136ubuntu6.6) focal; urgency=medium

  * Cherrypick zstd support from upstream. LP: #1932542

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 18 Jun 2021 14:22:25 +0100

initramfs-tools (0.136ubuntu6.5) focal; urgency=medium

  * scripts/local-premount/resume:
    - Use readlink -f to correctly handle non-symlink $resume
      (LP: #1876570)
  * hook-functions:
    - when MODULES=list there will be no 'kernel' dir, so don't try
      to find anything there, as it will log an error
      (LP: #1927779)
  * hooks/fsck:
    - don't check PASSNO, always include fsck
      (LP: #1917780)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 18 Mar 2021 14:48:17 -0400

initramfs-tools (0.136ubuntu6.4) focal; urgency=medium

  * hook-functions: Search for firmware under /lib/firmware/updates
    (LP: #1571506)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Wed, 03 Mar 2021 16:34:04 -0600

initramfs-tools (0.136ubuntu6.3) focal; urgency=medium

  * scripts/functions: Prevent printf error carry over if the wrong
    console is set. (LP: #1879987)
      The function _log_msg() is "void" typed, returning whatever its
      last command returns. This function is the basic building block
      for all error/warning messages in initramfs-tools. If a bad console
      is provided to kernel on command-line, printf returns error, and so
      this error is carried over in _log_msg(). Happens that checkfs()
      function has a loop that runs forever in this scenario (*if* fsck
      is not present in initramfs and "quiet" is not passed in the
      command-line). If that happens, boot is stuck and cannot progress.
      The simple fix hereby merged is to return zero on _log_msg().

  * scripts/local: Re-execute cryptroot local-block script. (LP: #1879980)
      Currently, if an encrypted rootfs is configured on top of a MD RAID1
      array and such array gets degraded (like a member is removed/failed),
      initramfs-tools cannot mount the rootfs and the boot fails. We fix
      that issue here by allowing cryptroot script to re-run on local-block
      stage, given that mdadm is able to activate a degraded array in that
      point. There is a cryptsetup counter-part for this fix, but alone the
      initramfs-tools portion is innocuous.

  * d/tests: Add explicit call to partprobe on net test, specially in
    prep-image and run-image. (LP: #1893675)

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Mon, 31 Aug 2020 13:43:29 -0300

initramfs-tools (0.136ubuntu6.2) focal; urgency=medium

  * Trim leading whitespaces in dumpe2fs output so date command
    is happy in the fixrtc script (LP: #1880968)

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 27 May 2020 16:52:16 +0200

initramfs-tools (0.136ubuntu6.1) focal; urgency=medium

  * SRU changes from Dimitri John Ledkov into focal:
    - Partially revert 0.133ubuntu12 upload:
      "* scripts/functions: Fix args in the add_mountroot_fail_check function."
      The arguments were correct, as used by lvm2 hook.
      LP: #1871154
    - Fix copying libgcc_s when there is optimized pthreads installed.
      LP: #1880853

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Jun 2020 11:03:12 +0200

## initramfs-tools 0.136ubuntu6.7%2B10.0trisquel2

=== debian/changelog ===
initramfs-tools (0.136ubuntu6.7+10.0trisquel2) nabia; urgency=medium

  * Do not warn of missing firmware

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 26 Apr 2023 19:50:57 +0000

initramfs-tools (0.40ubuntu22) dapper; urgen

=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: Michael Prokop <mika@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper-compat (= 12), bash-completion, shellcheck [!i386] <!nocheck>, pkg-config, libudev-dev, netplan.io [!i386] <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.1.5
Vcs-Browser: https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/initramfs-tools/
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/initramfs-tools
X-Debian-Vcs-Browser: https://salsa.debian.org/kernel-team/initramfs-tools
X-Debian-Vcs-Git: https://salsa.debian.org/kernel-team/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Multi-Arch: foreign
Depends: initramfs-tools-core (= ${binary:Version}), linux-base, ${misc:Depends}
Suggests: bash-completion
Provides: linux-initramfs-tool
Conflicts: linux-initramfs-tool, usplash (<< 0.5.50)
Breaks: initscripts (<< 2.88dsf-59.3~), upstart, e2fsprogs (<< 1.42.13), netplan.io (<< 0.37)
Description: generic modular initramfs generator (automation)
 This package builds a bootable initramfs for Linux kernel packages.  The
 initramfs is loaded along with the kernel and is responsible for
 mounting the root filesystem and starting the main init system.

Package: initramfs-tools-core
Architecture: all
Multi-Arch: foreign
Depends: ${busybox:Depends}, initramfs-tools-bin (= ${binary:Version}), klibc-utils (>= 2.0.4-8~), cpio (>= 2.12), lz4, kmod, udev, coreutils (>= 8.24), logsave | e2fsprogs (<< 1.45.3-1~), ${misc:Depends}
Suggests: bash-completion
Breaks: initramfs-tools (<< 0.121~), ${busybox:Breaks}
Replaces: initramfs-tools (<< 0.121~)
Description: generic modular initramfs generator (core tools)
 This package contains the mkinitramfs program that can be used to
 create a bootable initramfs for a Linux kernel.  The initramfs should
 be loaded along with the kernel and is then responsible for mounting
 the root filesystem and starting the main init system.

Package: initramfs-tools-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: binaries used by initramfs-tools
 This package contains binaries used inside the initramfs images generated
 by initramfs-tools.

## initramfs-tools 0.136ubuntu6.8

=== debian/changelog ===
initramfs-tools (0.136ubuntu6.8) focal; urgency=medium

  * Fix configuring BOOTIF when using iSCSI (LP: #2056187)
  * Port the net autopkgtest to the common test framework. This drops
    depending on downloading a cloud image from the Internet and reduces
    the execution time from 3:19 min down to 0:57 min. Also backport
    autopkgtest improvements from version 0.142ubuntu23 to run the
    test on all architectures and to check more results from qemu-net.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 19 Mar 2024 13:12:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Uploaders: Michael Prokop <mika@debian.org>, Ben Hutchings <ben@decadent.org.uk>
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Build-Depends: debhelper-compat (= 12), bash-completion, shellcheck [!i386] <!nocheck>, pkg-config, libudev-dev, netplan.io [!i386] <!nocheck>
 Rules-Requires-Root: no

## initramfs-tools 0.137ubuntu12

=== debian/changelog ===
initramfs-tools (0.137ubuntu12) groovy; urgency=medium

  * d/tests: Add explicit call to partprobe on net test, specially in
    prep-image and run-image. (LP: #1893675)

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Mon, 31 Aug 2020 18:04:00 -0300

initramfs-tools (0.137ubuntu11) groovy; urgency=medium

  * scripts/functions: Prevent printf error carry over if the wrong
    console is set. (LP: #1879987)
      The function _log_msg() is "void" typed, returning whatever its
      last command returns. This function is the basic building block
      for all error/warning messages in initramfs-tools. If a bad console
      is provided to kernel on command-line, printf returns error, and so
      this error is carried over in _log_msg(). Happens that checkfs()
      function has a loop that runs forever in this scenario (*if* fsck
      is not present in initramfs and "quiet" is not passed in the
      command-line). If that happens, boot is stuck and cannot progress.
      The simple fix hereby merged is to return zero on _log_msg().

  * scripts/local: Re-execute cryptroot local-block script. (LP: #1879980)
      Currently, if an encrypted rootfs is configured on top of a MD RAID1
      array and such array gets degraded (like a member is removed/failed),
      initramfs-tools cannot mount the rootfs and the boot fails. We fix
      that issue here by allowing cryptroot script to re-run on local-block
      stage, given that mdadm is able to activate a degraded array in that
      point. There is a cryptsetup counter-part for this fix, but alone the
      initramfs-tools portion is innocuous.

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Mon, 03 Aug 2020 18:04:00 -0300

initramfs-tools (0.137ubuntu10) groovy; urgency=medium

  * Trim leading whitespaces in dumpe2fs output so date command
    is happy in the fixrtc script (LP: #1880968)

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 27 May 2020 16:52:16 +0200

initramfs-tools (0.137ubuntu9) groovy; urgency=medium

  * Document add_mountroot_fail_hook correctly.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 30 May 2020 16:33:08 +0100

initramfs-tools (0.137ubuntu8) groovy; urgency=medium

  * Partially revert 0.133ubuntu12 upload:
    "* scripts/functions: Fix args in the add_mountroot_fail_check function."
    The arguments were correct, as used by lvm2 hook. LP: #1871154

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 30 May 2020 14:31:59 +0100

initramfs-tools (0.137ubuntu7) groovy; urgency=medium

  * Fix copying libgcc_s when there is optimized pthreads installed.
    LP: #1880853

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 29 May 2020 20:06:32 +0100

initramfs-tools (0.137ubuntu6) groovy; urgency=medium

  * Fixup previous commit to fix build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 May 2020 09:57:57 +0200

initramfs-tools (0.137ubuntu5) groovy; urgency=medium

  * Skip attempting to chzdev enable VLAN device LP: #1880735

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 May 2020 15:07:40 +0100

initramfs-tools (0.137ubuntu4) groovy; urgency=medium

  * Drop renderer from netplan yaml, such that netplan uses the default
    rendered for the target system, i.e. NetworkManager on the
    desktop. LP: #1876884

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 May 2020 23:50:52 +0200

initramfs-tools (0.137ubuntu3) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap, scripts/init-top/keymap, and associated code;
      console-setup takes care of this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat and nls modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - resume: only resume when the partition contains a resume image
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Support loading compcache from the initramfs.
    - debian/control: update Vcs-* links for Ubuntu.
    - Set executable bit on resume script in local-premount, which MoM seems
      to consistently drop
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep.
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el


## initramfs-tools 0.137ubuntu12.1

=== debian/changelog ===
initramfs-tools (0.137ubuntu12.1) groovy; urgency=medium

  * scripts/local-premount/resume:
    - Use readlink -f to correctly handle non-symlink $resume
      (LP: #1876570)
  * hook-functions:
    - when MODULES=list there will be no 'kernel' dir, so don't try
      to find anything there, as it will log an error
      (LP: #1927779)
  * hooks/fsck:
    - don't check PASSNO, always include fsck
      (LP: #1917780)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 18 Mar 2021 14:48:17 -0400

## initramfs-tools 0.137.35

=== debian/changelog ===
initramfs-tools (0.137.35-1+dde) unstable; urgency=medium

  *  Update live system crypttab.
  *  Update crypttab, Fix live system can't Decrypt data partition.

 -- zhangxueming <zhangxueming@uniontech.com>  Tue, 14 Dec 2021 16:36:42 +0800

initramfs-tools (0.137.34-1+dde) unstable; urgency=medium

  *  Mount boot directory.
  *  Add grub menu encryption judgment, enable init parameters.

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 23 Sep 2021 11:28:40 +0800

initramfs-tools (0.137.33-1+dde) unstable; urgency=medium

  * use lz4 for initrd.

 -- frandy<yuxiaoping@uniontech.com>  Mon, 30 Aug 2021 15:48:42 +0800

initramfs-tools (0.137.32-1+dde) unstable; urgency=medium

  * Fix live system can't auto load kernel modules.

 -- Guo Yao <guoyao@uniontech.com>  Thur, 29 Jul 2021 09:03:42 +0800

initramfs-tools (0.137.31-1+dde) unstable; urgency=medium

  * resole the problem of usb network driver during init in pxe boot.

 -- frandy<yuxiaoping@uniontech.com>  Wed, 28 Jul 2021 15:13:42 +0800

initramfs-tools (0.137.30-1+dde) unstable; urgency=medium

  * Fix live system display time error.

 -- Guo Yao <guoyao@uniontech.com>  Sun, 26 Aug 2021 09:02:42 +0800

initramfs-tools (0.137.29-1+dde) unstable; urgency=medium

  * Fix live system will change RTC time.

 -- Guo Yao <guoyao@uniontech.com>  Tue, 20 Aug 2021 11:02:42 +0800

initramfs-tools (0.137.28-1+dde) unstable; urgency=medium

  * resolve the problem of root partition of lvm .

 -- frandy <yuxiaoping@uniontech.com>  Tue, 21 Jul 2021 10:45:42 +0800

initramfs-tools (0.137.27-1+dde) unstable; urgency=medium

  * modify to support btrfs and non btrfs .

 -- frandy <yuxiaoping@uniontech.com>  Mon, 21 Jun 2021 09:30:42 +0800

initramfs-tools (0.137.26-1+dde) unstable; urgency=medium

  * Fix live system fonts problem.

 -- Guo Yao <guoyao@uniontech.com>  Tue, 6 Apr 2021 16:11:42 +0800

initramfs-tools (0.137.25-1+dde) unstable; urgency=medium

  * Port to sw64

 -- deepin/sw64 team <sunway@deepin.com>  Mon, 22 Feb 2021 08:59:38 +0000

initramfs-tools (0.137.24+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Add iso check script as an acceptable value for init param

 -- Ding Heng <dingheng@uniontech.com>  Sat, 20 Feb 2021 09:39:51 +0800

initramfs-tools (0.137.23-1+dde) unstable; urgency=medium

  * modify debian/changelog

 -- Yu xiaoping <yuxiaoping@uniontech.com>  Thu, 28 Jan 2021 14:38:16 +0800

initramfs-tools (0.137.22+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * block init param

 -- Ding Heng <dingheng@uniontech.com>  Thu, 21 Jan 2021 16:38:16 +0800

initramfs-tools (0.137.21+dde) unstable; urgency=medium

  init: Mount /dev without the noexec option

 -- Ben Hutchings's avatarBen Hutchings <benh@debian.org>  Fri, 18 Dec 2020 11:21:13 +0800

initramfs-tools (0.137.20+dde) UNRELEASED; urgency=medium

  Fix can not boot PXE

 -- Guo Yao <guoyao@uniontech.com>  Fri, 18 Dec 2020 11:19:55 +0800

initramfs-tools (0.137.19+dde+nmu1) UNRELEASED; urgency=medium

  Change the installation directory to /usr

 -- Ding Heng <dingheng@uniontech.com>  Fri, 30 Oct 2020 10:53:29 +0800

initramfs-tools (0.137.16+dde) buster; urgency=medium

  Kernel modules synchronization

 -- Ding Heng <dingheng@uniontech.com>  Sun, 15 Aug 2020 15:47:37 +0800

initramfs-tools (0.137.15+dde) buster; urgency=medium

  Bootrom parameter support

 -- Ding Heng <dingheng@uniontech.com>  Sun, 15 Aug 2020 15:47:37 +0800

initramfs-tools (0.137.14+dde) buster; urgency=medium

  Customized live system support

 -- Ding Heng <dingheng@uniontech.com>  Sun, 15 Aug 2020 15:47:37 +0800

## initramfs-tools 0.137.36

=== debian/changelog ===
initramfs-tools (0.137.36-deepin1) unstable; urgency=medium

  * feat or deepin-initramfs-enhance.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Tue, 17 Jan 2023 10:22:57 +0800

=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: Michael Prokop <mika@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper (>= 9), bash-completion, shellcheck, pkg-config, libudev-dev
Rules-Requires-Root: no
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/kernel-team/initramfs-tools
Vcs-Git: https://salsa.debian.org/kernel-team/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Multi-Arch: foreign
Depends: initramfs-tools-core (= ${binary:Version}), linux-base, ${misc:Depends}
Suggests: bash-completion
Provides: linux-initramfs-tool
Conflicts: linux-initramfs-tool, usplash (<< 0.5.50)
Breaks: initscripts (<< 2.88dsf-59.3~), upstart, e2fsprogs (<< 1.42.13)
Description: generic modular initramfs generator (automation)
 This package builds a bootable initramfs for Linux kernel packages.  The
 initramfs is loaded along with the kernel and is responsible for
 mounting the root filesystem and starting the main init system.

Package: initramfs-tools-core
Architecture: all
Multi-Arch: foreign
Recommends: ${busybox:Recommends}, pigz
Depends: klibc-utils (>= 2.0.4-8~), cpio (>= 2.12), kmod, udev, coreutils (>= 8.24), logsave | e2fsprogs, ${misc:Depends}
Suggests: bash-completion
Breaks: initramfs-tools (<< 0.121~), ${busybox:Breaks}
Replaces: initramfs-tools (<< 0.121~)
Description: generic modular initramfs generator (core tools)
 This package contains the mkinitramfs program that can be used to
 create a bootable initramfs for a Linux kernel.  The initramfs should
 be loaded along with the kernel and is then responsible for mounting
 the root filesystem and starting the main init system.

Package: initramfs-tools-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: binaries used by initramfs-tools
 This package contains binaries used inside the initramfs images generated
 by initramfs-tools.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with bash-completion

# On Debian we can use either busybox or busybox-static, but on Ubuntu
# and derivatives only busybox-initramfs will work.
BUSYBOX_PACKAGES := $(shell if dpkg-vendor --derives-from ubuntu; then echo busybox-initramfs; else echo busybox busybox-static; fi)
BUSYBOX_MIN_VERSION := 1:1.22.0-17~

override_dh_gencontrol:
	echo >> debian/initramfs-tools-core.substvars "busybox:Breaks=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=, % (<< $(BUSYBOX_MIN_VERSION))))"
	echo >> debian/initramfs-tools-core.substvars "busybox:Recommends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| % (>= $(BUSYBOX_MIN_VERSION))))"
	echo >> debian/initramfs-tools-core.substvars "busybox:Depends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| % (>= $(BUSYBOX_MIN_VERSION))))"
	dh_gencontrol

override_dh_install:
	install -d debian/initramfs-tools-core/usr/sbin
	sed -e 's,@BUSYBOX_PACKAGES@,$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=or %)),' \
	    -e 's/@BUSYBOX_MIN_VERSION@/$(BUSYBOX_MIN_VERSION)/' \
		mkinitramfs > debian/initramfs-tools-core/usr/sbin/mkinitramfs
	chmod 755 debian/initramfs-tools-core/usr/sbin/mkinitramfs
	dh_install

override_dh_installinitramfs:
	@:

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS :=
else
CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
endif

override_dh_auto_build:
	make -C src $(CROSS)

override_dh_auto_clean:
	make -C src clean

DEB_HOST_ARCH     := $(shell dpkg-architecture -qDEB_HOST_ARCH)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_BUILD_ARCH),sw_64)
#sw的shellcheck的版本较高，需要禁用SC2086
	shellcheck -e SC1090,SC2086,SC1091,SC2043 -s dash hook-functions $$(find hooks scripts -type f) $$({ find . -maxdepth 1 -type f -executable; find debian -maxdepth 1 -type f; find docs kernel -type f; } | xargs grep -l '^#!/bin/sh')
else
	shellcheck -e SC1090,SC1091,SC2043 -s dash hook-functions $$(find hooks scripts -type f) $$({ find . -maxdepth 1 -type f -executable; find debian -maxdepth 1 -type f; find docs kernel -type f; } | xargs grep -l '^#!/bin/sh')
endif
endif

## initramfs-tools 0.139

=== debian/changelog ===
initramfs-tools (0.139) unstable; urgency=medium

  * [9679f0c] debian/tests: Run amd64 tests on either amd64 or generic flavour
  * [0099040] debian/tests/control: Mark all amd64 tests as
    skip-not-installable (Closes: #970184)
  * [3616c8f] conf/initramfs.conf: Fix typo "filesytem" (Closes: #970235)

 -- Ben Hutchings <benh@debian.org>  Sun, 13 Sep 2020 19:28:00 +0100

initramfs-tools (0.138) unstable; urgency=medium

  [ Ben Hutchings ]
  * [0b034b4] docs/maintainer-notes.md: Delete the horizontal rules
  * [ba883cb] docs/maintainer-notes.md: Use Gitlab markup for table of contents
  * [5284a00] docs/maintainer-notes.md: Use Gitlab markup for definition table
  * [a469b7e] docs/maintainer-notes.md: Use archive.org URL for Daniel Baumann
    doc
  * [424260e] debian/control, docs/maintainer-notes.md: Use my @debian.org
    address
  * [181a35c] update-initramfs: Remove test for direct invocation from kernel
    package
  * [6ebe41b] Remove obsolete update-initramfs state in
    /var/lib/initramfs-tools
  * [2f2ad0d] hook-functions: copy_exec: Copy libgcc_s.so with any soversion up
    to 9 (Closes: #959768)
  * [0f24cc1] Add CI configuration for salsa.debian.org
  * [9877542] initramfs.conf: Delete "NFS Section" comment
  * [4309c3b] Add FSTYPE config parameter to allow overriding filesystem type
    detection (Closes: #923400)
  * [6300aa1] Change "panic" parameter handling to work more like the kernel
  * [90d64bd] debian/tests: Add common test preparation code
  * [3dd2984] debian/tests: Add basic test for amd64 using klibc and not
    busybox
  * [69240b1] debian/tests: Add basic test for amd64 using busybox
  * [3d834c8] debian/tests: Add basic tests for amd64 with only ata/virtio
    driver
  * [c14b760] debian/tests: Add test for separate /usr device
  * [6b3b361] debian/tests: Add test of the panic shell and parameter handling

  [ Vagrant Cascadian ]
  * [482897b] hook-functions: Add modules needed for Pinebook LCD display.

  [ Guilherme G. Piccoli ]
  * [c3cbf35] scripts/functions: Prevents printf error carry over if wrong
    console is set (Closes: #960355)

  [ Unit 193 ]
  * [3b82099] When overriding configured compressor, warn the user.

  [ Norbert Lange ]
  * [e94f410] un-,mkinitramfs: add support for zstd (Closes: #955469)

  [ Jann Horn ]
  * [a7718dc] Add firmware for built-in drivers (Closes: #857054)

 -- Ben Hutchings <benh@debian.org>  Fri, 11 Sep 2020 20:37:29 +0100

## initramfs-tools 0.139ubuntu3

=== debian/changelog ===
initramfs-tools (0.139ubuntu3) hirsute; urgency=medium

  * hooks/fsck: always include fsck binaries irrespective of PASSNO value,
    otherwise initrds fail to mount rootfs and have no ability to fix the
    rootfs. LP: #1917780

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Mar 2021 15:21:50 +0000

initramfs-tools (0.139ubuntu2) hirsute; urgency=medium

  * scripts/local-premount/resume:
    - Use readlink -f to correctly handle non-symlink $resume
      (LP: #1876570)
  * d/t/control:
    - autopkgtests running qemu need root, add needs-root restriction
  * hook-functions:
    - when MODULES=list there will be no 'kernel' dir, so don't try
      to find anything there, as it will log an 'error'
      this is needed for amd64-ata-only autopkgtest to pass,
      or we would need to ignore the 'error' with allow-stderr

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 18 Mar 2021 14:48:17 -0400

initramfs-tools (0.139ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap, scripts/init-top/keymap, and associated code;
      console-setup takes care of this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Trim leading whitespaces in dumpe2fs output so date command
      is happy in the fixrtc script
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat and nls modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - resume: only resume when the partition contains a resume image
    - Fix resuming a hibernate session from a swapfile
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - Don't recommend pigz, which is in universe.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - debian/control: update Vcs-* links for Ubuntu.
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep.
    - src/wait-for-root.c, scripts/local: add explicit support for PARTUUID, a
      syntax we may prefer for images that might boot without an initramfs.
      (previously unnoted)
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el
    - Support roottimeout= as the authoritative name for rootdelay= since
      the Ubuntu interpretation of rootdelay is *not* a delay and this
      causes inconsistent behavior depending on whether the kernel or an
      initramfs is interpreting it.
    - scripts/functions: by default, when setting up networking, use dhclient
      if we're asked to do DHCP explicitly, or if we otherwise are expected
      to do things automatically.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and
      exit as soon as we get an IP address.
      - split out IPv6 options in its own cmdline parameter: ip6= ; always use
        dhclient in this case if the value set is anything other than 'off' or
        'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any'
        as the name of an interface.
      - rework the stop conditions so that we properly handle the ROUNDTTT
        loop, timing out after a short period of time and trying again after
        a short sleep.
      - add a 'done' parameter for both ip= and ip6= so that we can properly
        exit the ROUNDTTT loop once we know that either there is no work to
        do, or that we've achieved what we wanted (that is, to bring up IPv4,
        IPv6, or possibly both).
      - return ip=dhcp to the ipconfig use case; if set, then ipconfig will
        be run using any interface available, or the BOOTIF if it was set.
      - Just let dhclient scan the interfaces if none is specified for IPv6.
        (previously unnoted)
      - Do not handle ip=rarp specially (ipconfig hasn't supported it for
        some time)
      - Call dhclient in simple cases for IPv4 (this makes some small
        observable changes -- for example ip=bootp will now make a DHCP
        request too -- but nothing that seems important).
      - Do not let dhclient processes hang around past the pivot and have
        them respect the shorter timeouts ipconfig was given.
    - Only source ipv4 config in configure_networking() if it exists.
      (previously unnoted)
    - hook-functions, mkinitramfs, scripts/functions: support usage of dns
      after configure_networking.
    - Run unittests during autopkgtests.
    - Add some autopkgtests for the network configuration processing.
    - scripts/functions: write netplan config files to /run/netplan for
      network devices configured with configure_networking.


=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: Michael Prokop <mika@debian.org>, Ben Hutchings <benh@debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper-compat (= 12), bash-completion, shellcheck [!i386] <!nocheck>, pkg-config, libudev-dev, netplan.io [!i386] <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.1.5
Vcs-Browser: https://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/initramfs-tools/
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/initramfs-tools
X-Debian-Vcs-Browser: https://salsa.debian.org/kernel-team/initramfs-tools
X-Debian-Vcs-Git: https://salsa.debian.org/kernel-team/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Multi-Arch: foreign
Depends: initramfs-tools-core (= ${binary:Version}), linux-base, ${misc:Depends}
Suggests: bash-completion
Provides: linux-initramfs-tool
Conflicts: linux-initramfs-tool, usplash (<< 0.5.50)
Breaks: initscripts (<< 2.88dsf-59.3~), upstart, e2fsprogs (<< 1.42.13), netplan.io (<< 0.37)
Description: generic modular initramfs generator (automation)
 This package builds a bootable initramfs for Linux kernel packages.  The
 initramfs is loaded along with the kernel and is responsible for
 mounting the root filesystem and starting the main init system.

Package: initramfs-tools-core
Architecture: all
Multi-Arch: foreign
Depends: ${busybox:Depends}, initramfs-tools-bin (= ${binary:Version}), klibc-utils (>= 2.0.4-8~), cpio (>= 2.12), lz4, kmod, udev, coreutils (>= 8.24), logsave | e2fsprogs (<< 1.45.3-1~), ${misc:Depends}
Suggests: bash-completion
Breaks: initramfs-tools (<< 0.121~), ${busybox:Breaks}
Replaces: initramfs-tools (<< 0.121~)
Description: generic modular initramfs generator (core tools)
 This package contains the mkinitramfs program that can be used to
 create a bootable initramfs for a Linux kernel.  The initramfs should
 be loaded along with the kernel and is then responsible for mounting
 the root filesystem and starting the main init system.

Package: initramfs-tools-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: binaries used by initramfs-tools
 This package contains binaries used inside the initramfs images generated
 by initramfs-tools.

## initramfs-tools 0.140

=== debian/changelog ===
initramfs-tools (0.140) unstable; urgency=medium

  [ Norbert Lange ]
  * mkinitramfs: use temporary file for uncompressed cpio

  [ Michael Prokop ]
  * mkinitramfs: report actually requested compress util if it's not present

  [ Ben Hutchings ]
  * init: Mount /dev without the noexec option

  [ dann frazier ]
  * configure_networking(): Wait for specified network device (Closes: #965935)

  [ Bastian Blank ]
  * Include all PCI controller modules
  * Include all reset controller modules

 -- Bastian Blank <waldi@debian.org>  Sat, 13 Mar 2021 19:13:18 +0100

=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: Michael Prokop <mika@debian.org>, Ben Hutchings <benh@debian.org>
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper-compat (= 12), bash-completion, shellcheck <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/kernel-team/initramfs-tools
Vcs-Git: https://salsa.debian.org/kernel-team/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Multi-Arch: foreign
Depends: initramfs-tools-core (= ${binary:Version}), linux-base, ${misc:Depends}
Suggests: bash-completion
Provides: linux-initramfs-tool
Conflicts: linux-initramfs-tool, usplash (<< 0.5.50)
Breaks: initscripts (<< 2.88dsf-59.3~), upstart, e2fsprogs (<< 1.42.13)
Description: generic modular initramfs generator (automation)
 This package builds a bootable initramfs for Linux kernel packages.  The
 initramfs is loaded along with the kernel and is responsible for
 mounting the root filesystem and starting the main init system.

Package: initramfs-tools-core
Architecture: all
Multi-Arch: foreign
Recommends: ${busybox:Recommends}, pigz
Depends: klibc-utils (>= 2.0.4-8~), cpio (>= 2.12), kmod, udev, coreutils (>= 8.24), logsave | e2fsprogs (<< 1.45.3-1~), ${misc:Depends}
Suggests: bash-completion
Breaks: initramfs-tools (<< 0.121~), ${busybox:Breaks}
Replaces: initramfs-tools (<< 0.121~)
Description: generic modular initramfs generator (core tools)
 This package contains the mkinitramfs program that can be used to
 create a bootable initramfs for a Linux kernel.  The initramfs should
 be loaded along with the kernel and is then responsible for mounting
 the root filesystem and starting the main init system.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with bash-completion

# On Debian we can use either busybox or busybox-static, but on Ubuntu
# and derivatives only busybox-initramfs will work.
BUSYBOX_PACKAGES := $(shell if dpkg-vendor --derives-from ubuntu; then echo busybox-initramfs; else echo busybox busybox-static; fi)
BUSYBOX_MIN_VERSION := 1:1.22.0-17~

override_dh_gencontrol:
	echo >> debian/initramfs-tools-core.substvars "busybox:Breaks=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=, % (<< $(BUSYBOX_MIN_VERSION))))"
	echo >> debian/initramfs-tools-core.substvars "busybox:Recommends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| % (>= $(BUSYBOX_MIN_VERSION))))"
	dh_gencontrol

override_dh_install:
	sed -e 's,@BUSYBOX_PACKAGES@,$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=or %)),' \
	    -e 's/@BUSYBOX_MIN_VERSION@/$(BUSYBOX_MIN_VERSION)/' \
		mkinitramfs > debian/initramfs-tools-core/usr/sbin/mkinitramfs
	chmod 755 debian/initramfs-tools-core/usr/sbin/mkinitramfs
	dh_install

override_dh_installinitramfs:
	@:

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	shellcheck -e SC1090,SC1091 -s dash hook-functions $$(find hooks scripts -type f) $$({ find . -maxdepth 1 -type f -executable; find debian -maxdepth 1 -type f; find docs kernel -type f; } | xargs grep -l '^#!/bin/sh')
endif

=== debian/tests/control ===
Tests: shellcheck
Depends: @, shellcheck
Restrictions: superficial

Tests: amd64-klibc
Depends: @, qemu-system-x86, linux-image-amd64 | linux-image-generic:amd64, klibc-utils, genext2fs
Restrictions: skip-not-installable

Tests: amd64-busybox
Depends: @, qemu-system-x86, linux-image-amd64 | linux-image-generic:amd64, klibc-utils, busybox | busybox-initramfs, genext2fs
Restrictions: skip-not-installable

Tests: amd64-ata-only
Depends: @, qemu-system-x86, linux-image-amd64 | linux-image-generic:amd64, klibc-utils, genext2fs
Restrictions: skip-not-installable

Tests: amd64-virtio-only
Depends: @, qemu-system-x86, linux-image-amd64 | linux-image-generic:amd64, klibc-utils, genext2fs
Restrictions: skip-not-installable

Tests: amd64-separate-usr
Depends: @, qemu-system-x86, linux-image-amd64 | linux-image-generic:amd64, klibc-utils, genext2fs
Restrictions: skip-not-installable

Tests: amd64-panic-shell
Depends: @, qemu-system-x86, linux-image-amd64 | linux-image-generic:amd64, klibc-utils, genext2fs
Restrictions: skip-not-installable

## initramfs-tools 0.140ubuntu6

=== src/Makefile ===
PKG_CONFIG = pkg-config
UDEV_CFLAGS = $(shell $(PKG_CONFIG) --cflags libudev)
UDEV_LIBS = $(shell $(PKG_CONFIG) --libs libudev)

CC = gcc
CFLAGS = -g -Wall -O2 $(UDEV_CFLAGS)
LDFLAGS =


.PHONY: all
all: wait-for-root

wait-for-root: wait-for-root.o
	$(CC) $(LDFLAGS) -o $@ $< $(UDEV_LIBS)

.PHONY: clean
clean:
	rm -f wait-for-root.o wait-for-root core *~

=== debian/changelog ===
initramfs-tools (0.140ubuntu6) impish; urgency=medium

  * Change dependencies to depend on zstd, instead of lz4. LP: #1931725

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Jun 2021 17:18:41 +0100

initramfs-tools (0.140ubuntu5) impish; urgency=medium

  * Switch default initramfs compression to zstd, as it produces the lower
    overall boot time. LP: #1931725

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 11 Jun 2021 16:55:30 +0100

initramfs-tools (0.140ubuntu4) impish; urgency=medium

  * Pacify shellcheck to fix ftbfs. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 06 May 2021 10:57:14 +1200

initramfs-tools (0.140ubuntu3) impish; urgency=medium

  * scripts/functions: Fix the fix for bug #1880735, fixing setting up vlans
    from the kernel commandline. LP: #1924794

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 05 May 2021 14:09:08 +1200

initramfs-tools (0.140ubuntu2) impish; urgency=medium

  * Set +x bit on init again, missed again in merge despite best efforts.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Apr 2021 08:28:26 -0700

initramfs-tools (0.140ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - support mounting of loopback devices via loop*= parameters
    - Drop hooks/keymap, scripts/init-top/keymap, and associated code;
      console-setup takes care of this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Trim leading whitespaces in dumpe2fs output so date command
      is happy in the fixrtc script
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - add squashfs to list of 'most' modules
    - Add vfat and nls modules to the initramfs.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - resume: only resume when the partition contains a resume image
    - Fix resuming a hibernate session from a swapfile
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - Don't recommend pigz, which is in universe.
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - debian/control: update Vcs-* links for Ubuntu.
    - Add support for uppercase and lowercase uuids.
    - init: Don't interpret "rootdelay" as a static sleep.
    - src/wait-for-root.c, scripts/local: add explicit support for PARTUUID, a
      syntax we may prefer for images that might boot without an initramfs.
      (previously unnoted)
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el
    - Support roottimeout= as the authoritative name for rootdelay= since
      the Ubuntu interpretation of rootdelay is *not* a delay and this
      causes inconsistent behavior depending on whether the kernel or an
      initramfs is interpreting it.
    - scripts/functions: by default, when setting up networking, use dhclient
      if we're asked to do DHCP explicitly, or if we otherwise are expected
      to do things automatically.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and
      exit as soon as we get an IP address.
      - split out IPv6 options in its own cmdline parameter: ip6= ; always use
        dhclient in this case if the value set is anything other than 'off' or
        'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any'
        as the name of an interface.
      - rework the stop conditions so that we properly handle the ROUNDTTT
        loop, timing out after a short period of time and trying again after
        a short sleep.
      - add a 'done' parameter for both ip= and ip6= so that we can properly
        exit the ROUNDTTT loop once we know that either there is no work to
        do, or that we've achieved what we wanted (that is, to bring up IPv4,
        IPv6, or possibly both).
      - return ip=dhcp to the ipconfig use case; if set, then ipconfig will
        be run using any interface available, or the BOOTIF if it was set.
      - Just let dhclient scan the interfaces if none is specified for IPv6.
        (previously unnoted)
      - Do not handle ip=rarp specially (ipconfig hasn't supported it for
        some time)
      - Call dhclient in simple cases for IPv4 (this makes some small
        observable changes -- for example ip=bootp will now make a DHCP
        request too -- but nothing that seems important).
      - Do not let dhclient processes hang around past the pivot and have
        them respect the shorter timeouts ipconfig was given.
    - Only source ipv4 config in configure_networking() if it exists.
      (previously unnoted)
    - hook-functions, mkinitramfs, scripts/functions: support usage of dns
      after configure_networking.
    - Run unittests during autopkgtests.


## initramfs-tools 0.140ubuntu6.1

=== debian/changelog ===
initramfs-tools (0.140ubuntu6.1) impish; urgency=medium

  * Increase image file to 2GB in autopkgtest (LP: #1958904)

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 26 Jan 2022 17:03:17 +0100
